Validation Matcher code climate build status gem version

About

Use Rails validation reflection to test validations.

URLs:

Installation

Add to your Gemfile and run the bundle command to install it.

  gem 'validation_matcher'
  • specify '~> 1.1.0' for rails 4 & rspec 2
  • specify '~> 1.0.0' for rails 3 & rspec 2

Requires Ruby 1.9.2 or later.

Usage

  class Foo < ActiveRecord::Base
    validates :field_a, presence: true
    validates :field_b, uniquness: true
    validates :field_c, presence: true, uniquness: {case_insensitive: false}
  end

  require 'spec_helper'

  describe Foo do
    it { should validate(:presence).of(:field_a) }
    it { should validate(:presence).of(:field_b) }
    it { should validate(:presence).of(:field_c).with(case_insensitive: false) }
    it { should validate(:uniqueness).of(:field_b).with(options) }
  end